Bug 128110 - Better titles for Emacs windows
Summary: Better titles for Emacs windows
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs   
(Show other bugs)
Version: 2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-18 07:43 UTC by Christopher Beland
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 21.3-15
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-11 02:57:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Christopher Beland 2004-07-18 07:43:06 UTC
I'm running emacs-21.3-12.  It appears that the default behavior is to
title Emacs windows "emacs@HOSTNAME.DOMAINNAME".  I find it much
handier to title my windows "BUFFERNAME - emacs@HOSTNAME.DOMAINNAME".
 When I have multiple windows open, this makes it much easier to find
the buffer I am looking for.  I think this may have been the default
at some point back in the Redhat release days; I can't think of a good
reason why it shouldn't be again.

In case it helps make this enhancement easier, let me mention that
I've put the following code in my .emacs file to provide this feature
for myself:

(setq frame-title-format
      (concat  "%b - emacs@" system-name))

Thanks!

Beland

Comment 1 Jens Petersen 2004-09-29 16:25:05 UTC
Thanks - adding this to /etc/skel/.emacs in 21.3-15.


Comment 2 Christopher Beland 2005-01-08 13:29:04 UTC
Working great now in FC3.


Note You need to log in before you can comment on or make changes to this bug.